Subject: Re: Dreaming drugs/*FIREWEED*

From: [email-masked] (Rob King)
Date: Thu, 23 Mar 1995 18:05:00 GMT

[email-masked] wrote:

 >Someone asked about availability of fireweed seed. Like, how many tons do you
 >want?  The stuff is a wildflower here in Alaska, and I'd bet it's circumpolar
 >We literally get acres of it blooming during the summer. It's tall, hot-pink
 >spikes of bloom (really pretty).
 >        Probably any good wildflower seedsman could supply it.  put the seed 
 >the freezer for a month or two to stratify it (so it'll germinate.)
 >        I'm sure one of the whizzes on this board could give you the botanica

Fireweed <Epilobium angustifolium>; poltice was used by American Indians
for burns & skin sores...  I wouldn't recommend getting it started
unless you really know what your in for... it is one of the most
INVASIVE plants in the US..!!... a single plant can produce THOUSANDS of
seeds which are easily spread... ESPECIALLY by water, and can spread
VERY quickly, and is difficult to exterminate.  There are STERILE
hybrids of Epilobium, which spreads by roots readily, but does not
self-seed... Enjoy fireweed by the roadside, because I don't think you
would enjoy it in your garden.

Rob.
---
 * QMPro 1.53 * vitamin/herbal co-op: TWIN LAB products up to 35% off net

---

From: Pietro Boiar <[email-masked]>
Date: Sat, 25 Mar 95 22:02:13 -0500

the latin name for fireweed is Epilobium augustifolium L.
as well as being the stuff of dreams, it is also a good anti
inflammatory for burns and sores.
peace